ChangeSet 1.1254.4.24, 2003/06/04 12:31:55-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/ide/pci/cs5530.c


 drivers/ide/pci/cs5530.c |   19 +++++++++----------
 1 files changed, 9 insertions(+), 10 deletions(-)


diff -Nru a/drivers/ide/pci/cs5530.c b/drivers/ide/pci/cs5530.c
--- a/drivers/ide/pci/cs5530.c	Wed Jun  4 18:10:26 2003
+++ b/drivers/ide/pci/cs5530.c	Wed Jun  4 18:10:26 2003
@@ -281,16 +281,15 @@
 	}
 #endif /* DISPLAY_CS5530_TIMINGS && CONFIG_PROC_FS */
 
-	pci_for_each_dev (dev) {
-		if (dev->vendor == PCI_VENDOR_ID_CYRIX) {
-			switch (dev->device) {
-				case PCI_DEVICE_ID_CYRIX_PCI_MASTER:
-					master_0 = dev;
-					break;
-				case PCI_DEVICE_ID_CYRIX_5530_LEGACY:
-					cs5530_0 = dev;
-					break;
-			}
+	dev = NULL;
+	while ((dev = pci_find_device(PCI_VENDOR_ID_CYRIX, PCI_ANY_ID, dev)) != NULL) {
+		switch (dev->device) {
+			case PCI_DEVICE_ID_CYRIX_PCI_MASTER:
+				master_0 = dev;
+				break;
+			case PCI_DEVICE_ID_CYRIX_5530_LEGACY:
+				cs5530_0 = dev;
+				break;
 		}
 	}
 	if (!master_0) {
